net.sf.okapi.common.resource

## Enum ExtendedCodeType

- java.lang.Object
- - java.lang.Enum<ExtendedCodeType>
  - - net.sf.okapi.common.resource.ExtendedCodeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExtendedCodeType>

      public enum ExtendedCodeType
      extends java.lang.Enum<ExtendedCodeType>

  Provides extended code types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLOR`
    `HIGHLIGHT`
    `SHADE`
    `SHADOW`
    `STRIKE_THROUGH`
    `SUBSCRIPT`
    `SUPERSCRIPT`
    `UNDERLINE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ExtendedCodeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExtendedCodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COLOR

          public static final ExtendedCodeType COLOR

    - #### HIGHLIGHT

          public static final ExtendedCodeType HIGHLIGHT

    - #### SHADE

          public static final ExtendedCodeType SHADE

    - #### SHADOW

          public static final ExtendedCodeType SHADOW

    - #### STRIKE_THROUGH

          public static final ExtendedCodeType STRIKE_THROUGH

    - #### UNDERLINE

          public static final ExtendedCodeType UNDERLINE

    - #### SUPERSCRIPT

          public static final ExtendedCodeType SUPERSCRIPT

    - #### SUBSCRIPT

          public static final ExtendedCodeType SUBSCRIPT

  - ### Method Detail

    - #### values

          public static ExtendedCodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExtendedCodeType c : ExtendedCodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExtendedCodeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()